<template>
  <div id="cascaderMap">
    <span class="buildFloor" style="margin-right: 12px;">设备类别</span>
    <el-select v-model="value" placeholder="请选择" clearable filterable :style="isWidth ? '' : 'width:160px;'" size="small" @change="changeVal">
      <el-option  v-for="item in options" :key="item.code" :label="item.name" :value="item.code"></el-option>
    </el-select>
  </div>
</template>
<script>
import { mapGetters } from 'vuex';
import { queryModelCategory } from "@/api/data_admin/buildTaskApi"
export default {
  props: {
    isWidth: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    ...mapGetters("layout", ["projectId"])
  },
  data() {
    return {
      value: "",
      options: []
    };
  },
  created() {
    this.getData();
  },
  watch: {
    projectId() {
      this.value = '';
      this.getData();
    }
  },
  methods: {
    setValue(val) {
      this.value = val
    },
    //修改val
    changeVal(val) {
      let value = {}
      this.options.map(item => {
        if (item.Code == val) {
          value = item
        }
      })
      this.value = val
      this.$emit("change", value)
    },
    //获取当前项目下的模型任务-设备类型
    getData() {
      queryModelCategory('', res => {
        this.options = res.content
      })
    }
  }
};
</script>
<style lang="less" scoped>
#cascaderMap {
  float: left;
  margin-left: 10px;
  .buildFloor {
    color: #999999;
    font-size: 14px;
  }
}
</style>
